aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@gmail.com>2020-03-26 11:23:34 -0400
committerJoseph Hunkeler <jhunkeler@gmail.com>2020-03-26 12:18:44 -0400
commitdad2485e1ff56073ae149d3caa5d702413318204 (patch)
tree370a11a046c1af0efe8c6a685f1f1c337c2ab73b
parent2f76514854baec8c30a77316d7a9f0d4d5f11a95 (diff)
downloadspmc-dad2485e1ff56073ae149d3caa5d702413318204.tar.gz
More smoke tests
-rwxr-xr-x.circleci/test_spm.sh27
1 files changed, 25 insertions, 2 deletions
diff --git a/.circleci/test_spm.sh b/.circleci/test_spm.sh
index f70b60f..bb70212 100755
--- a/.circleci/test_spm.sh
+++ b/.circleci/test_spm.sh
@@ -1,6 +1,6 @@
-#!/bin/bash
-set -e
+#!/bin/bash -e
+export PREFIX=/tmp/root
export SHELL=/bin/bash
cd build
@@ -11,3 +11,26 @@ ctest3 -V
spm --list
spm --search zlib
+
+spm --verbose --yes --root $PREFIX --install python
+
+set +x
+echo ACTIVATING ROOT: $PREFIX
+spm --cmd mkruntime $PREFIX > $PREFIX/bin/activate || exit 1
+source $PREFIX/bin/activate || exit 1
+echo OK!
+set -x
+
+which python3
+
+python3 -V
+
+python3 -c 'from sysconfig import get_config_vars; from pprint import pprint; pprint(get_config_vars())'
+
+python3 -m ensurepip
+
+pip3 --version
+
+pip3 install --upgrade pip setuptools
+
+pip3 --version